//
//  message.cpp
//  Lily
//
//  Created by KMY on 2015/05/08.
//  Copyright (c) 2015年 KMY. All rights reserved.
//

#include "message.h"
#include "script.h"

int Message::warningCount = 0;
int Message::errorCount = 0;

void Message::warning(const char *mes, int level, Script *script) {
	char* fileName;
	script->getFileName(&fileName);
	
	printf("[ 警告 ] %s(%d) %s\n", fileName, script->getLineNumber(), mes);
	warningCount++;
	
	delete fileName;
}

void Message::warning(const char *mes, int level) {
	printf("[ 警告 ] %s\n", mes);
	warningCount++;
}

void Message::error(const char *mes, int level, Script *script) {
	char* fileName;
	script->getFileName(&fileName);
	
	printf("[エラー] %s(%d) %s\n", fileName, script->getLineNumber(), mes);
	errorCount++;
	
	delete fileName;
}

void Message::error(const char *mes, const lchar* param1, int level, Script *script) {
	char* fileName;
	script->getFileName(&fileName);
	
	char* p1;
	Character::toCharn(param1, &p1);
	
	printf("[エラー] %s(%d) ", fileName, script->getLineNumber());
	printf(mes, p1);
	printf("\n");
	errorCount++;
	
	delete fileName, p1;
}

void Message::error(const char *mes, int level) {
	printf("[エラー] %s\n", mes);
	errorCount++;
}

void Message::mes(const char* mes) {
	printf("[リリィ] %s\n", mes);
}

void Message::mese(const char* mes) {
	Message::mes(mes);
	errorCount++;
}

void Message::mes(const lchar* mes) {
	char *str;
	Character::toCharn(mes, &str);
	Message::mes(str);
	delete str;
}

void Message::mese(const lchar* mes) {
	char *str;
	Character::toCharn(mes, &str);
	Message::mese(str);
	delete str;
}

void Message::statistics() {
	printf("     警告 %d,  エラー %d\n", warningCount, errorCount);
}

int Message::warningNum() {
	return warningCount;
}

int Message::errorNum() {
	return errorCount;
}



